Package Details: sdrangel-git 6.10.3.r0.873ec7809-2

Git Clone URL: https://aur.archlinux.org/sdrangel-git.git (read-only, click to copy)
Package Base: sdrangel-git
Description: Qt5/OpenGL SDR and signal analyzer frontend.
Upstream URL: https://github.com/f4exb/sdrangel
Licenses: GPL3
Conflicts: sdrangel
Provides: sdrangel=6.10.3.r0.873ec7809
Submitter: Mikos
Maintainer: xiretza
Last Packager: xiretza
Votes: 10
Popularity: 0.32
First Submitted: 2015-12-08 10:08
Last Updated: 2021-05-01 17:03

Dependencies (61)

Required by (0)

Sources (1)

Latest Comments

1 2 3 Next › Last »

polymechanos commented on 2021-05-16 11:17

Just a general comment I wanted to make, as I noticed quite a few people having trouble with the numerous dependencies that sdrangel has now: With a small tweak of the PKGBUILD file, you can unplug libraries if you're not using the corresponding hardware.

For example, if one only uses the SDRPlay family of radios, one can use the build flag -DENABLE_<LIBRARY_NAME>=OFF for all the other hardware types (where LIBRARY_NAME = XTRX, LIMESUITE, etc...) and also remove the library names from 'makedepends' and 'optdepends'. This makes building faster, as there is much less code, and also avoids issues that pop up with individual libraries from time to time.

xiretza commented on 2021-05-01 18:38

You have a nice dependency chain there which tells you it's a problem downstream of https://aur.archlinux.org/packages/liblms7002m-xtrx-git/, where it's already been reported :)

luxwarp commented on 2021-05-01 18:05

something is wrong :D

-> Could not find all required packages:
python2-yaml (Wanted by: sdrangel-git -> libxtrx-git -> liblms7002m-xtrx- 
    git -> python2-cheetah -> python2-markdown)

xiretza commented on 2021-05-01 17:03

DAB and satellite tracker should now be working, and I added quickcontrols as a dependency.

luxwarp commented on 2021-04-26 11:08

One more thing, qt5-quickcontrol2 is needed for map plugin to work :)

xiretza commented on 2021-04-23 21:09

@luxwarp: thanks, I'm working on it, might take a few days to package all of those dependencies though.

luxwarp commented on 2021-04-23 20:42

Missing features is, DAB Demodulator, and Satellite Tracker.

I build it exactly as it says on https://github.com/f4exb/sdrangel/wiki/Compile-from-source-in-Linux

except for "sudo apt-get install" parts.

So basically installing dependencies via pacman, and then follow the instructions for ex

cd /opt/build
git clone https://github.com/srcejon/aptdec.git
cd aptdec
git checkout libaptdec
mkdir build; cd build
cmake -Wno-dev -DCMAKE_INSTALL_PREFIX=/opt/install/aptdec ..
make -j $(nproc) install

etc.

xiretza commented on 2021-04-23 20:12

@luxwarp: please do tell me what exactly you're missing and how you're building the version that does have the features.

luxwarp commented on 2021-04-23 10:24

Just noticed today after building sdrangel from source and compared it to this aur package, there are some features missing like satellite tracker. I'm on the run right now so can not provide information on what is missigin.

But you have all info on https://github.com/f4exb/sdrangel/wiki/Compile-from-source-in-Linux

xiretza commented on 2021-03-02 20:58

Thanks, added! @jamanuk13, sorry, I missed your comment.